Name:           perl-Sub-Install
Version:        0.925
Release:        1%{?dist}
Summary:        Install subroutines into packages easily
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Sub-Install/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Sub-Install-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
# Test::Output -> Sub::Exporter -> Sub::Install
%if 0%{!?perl_bootstrap:1}
BuildRequires:  perl(Test::Output)
%endif
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module makes it easy to install subroutines into packages without the
unslightly mess of no strict or typeglobs lying about where just anyone
can see them.

%prep
%setup -q -n Sub-Install-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} \; 2>/dev/null
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Sub/
%{_mandir}/man3/Sub::Install.3pm*

%changelog
* Wed Feb  8 2012 Paul Howarth <paul@city-fan.org> 0.925-1
- update to 0.925 (packaging changes)
- fix License
- BR: perl(ExtUtils::MakeMaker)
- BR: perl(Test::Output) for extra test coverage
- BR: perl(Carp), perl(Scalar::Util), perl(strict) and perl(warnings) for
  completeness
- Skip buildreq perl(Test::Output) when bootstrapping to avoid circular build
  dependencies
- use DESTDIR rather than PERL_INSTALL_ROOT
- make %%files list more explicit
- don't use macros for commands

* Wed Jan  5 2011 Paul Howarth <paul@city-fan.org> 0.924-1.1
- drop perl(Test::Perl::Critic) buildreq for EPEL-4 build

* Wed Nov 22 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.924-1
- update to 0.924
- add perl(Test::Perl::Critic) to BR's

* Wed Sep 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.922-2
- bump

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.922-1
- Specfile autogenerated by cpanspec 1.69.1.
